package com.taleo.integration.client.customstep.csv;

import com.taleo.ws.integration.client.MessageFormat;
import com.taleo.ws.integration.client.SupportedMessage;
import com.taleo.ws.integration.client.SupportedPipeline;

/**
 * Abstract custom step for all post processing of CSV files.
 * <p>
 * This step takes all parameters from its base class
 * {@link com.taleo.integration.client.customstep.BaseCustomCsvStep}.
 * 
 * @author Romain Guay - Taleo Corporation
 * 
 */
public abstract class BaseCustomCsvPostStep extends BaseCustomCsvStep {

	/**
	 * Constructor without arguments.
	 */
	public BaseCustomCsvPostStep() {
		super();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.taleo.integration.client.step.BaseCustomStep#getSupportedPipeline()
	 */
	public SupportedPipeline getSupportedPipeline() {
		// Get the supported pipeline.
		SupportedPipeline supportedPipeline = getPostProcessSupportPipeline();

		// Add the supported response message.
		SupportedMessage supportedMessage = supportedPipeline
				.addNewSupportedResponseMessage();
		supportedMessage.addNewSupportedFormats();
		supportedMessage.getSupportedFormats().addFormat(MessageFormat.CSV);

		// Return the complete supported pipeline information
		return supportedPipeline;
	}

}
