package com.taleo.integration.client.customstep.lrd;

import java.util.Date;

/**
 * Interface for date providers.
 * 
 * @author Romain Guay - Taleo
 * 
 */
public interface DateProvider {

	/**
	 * Constant representing the system property to use to override the default
	 * value used for the LRD filter for the computer.
	 */
	public static final String PROP_MINUTE_ADJUSTEMENT = "com.taleo.integration.client.lrd.filtering.minute.adjustment.computer";

	/**
	 * Default value for lrd.filtering.minute.adjustment.computer system
	 * property.
	 */
	public static final int DEFAULT_LRD_MINUTE_ADJUSTMENT = 10;

	/**
	 * Return the date.
	 * 
	 * @return
	 */
	public Date getDate();
}
