package com.taleo.integration.client.customstep.tools.document;

import java.io.File;
import java.io.IOException;

import de.intarsys.pdf.parser.COSLoadException;
import de.intarsys.pdf.pd.PDDocument;
import de.intarsys.tools.locator.FileLocator;

/**
 * Implementation of DocumentInfo for PDF documents.
 * 
 * @author Romain Guay, Taleo Corporation
 * @deprecated No more necessary with the added Document.Code to build filename.
 * 
 */
public class PdfDocumentInfo implements DocumentInfo {

	private String author;

	private String creator;

	private String name;

	private String subject;

	private String title;

	/**
	 * Constructor with the PDF file.
	 * 
	 * @param file
	 * @throws COSLoadException
	 * @throws IOException
	 */
	public PdfDocumentInfo(File file) throws IOException, COSLoadException {
		FileLocator locator = new FileLocator(file);
		PDDocument pdf = PDDocument.createFromLocator(locator);
		this.author = pdf.getAuthor();
		this.creator = pdf.getCreator();
		this.name = pdf.getName();
		this.subject = pdf.getSubject();
		this.title = pdf.getTitle();
		pdf.close();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.taleo.integration.client.customstep.xml.DocumentInfo#getAuthor()
	 */
	public String getAuthor() {
		return this.author;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.taleo.integration.client.customstep.xml.DocumentInfo#getCreator()
	 */
	public String getCreator() {
		return this.creator;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.taleo.integration.client.customstep.xml.DocumentInfo#getName()
	 */
	public String getName() {
		return this.name;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.taleo.integration.client.customstep.xml.DocumentInfo#getSubject()
	 */
	public String getSubject() {
		return this.subject;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.taleo.integration.client.customstep.xml.DocumentInfo#getTitle()
	 */
	public String getTitle() {
		return this.title;
	}
}
