package com.taleo.integration.client.customstep.velocity;

/**
 * Class to expose Logic functions into Velocity templates.
 * 
 * @author Romain Guay - Taleo Corporation
 * 
 */
public class LogicTool {

	/**
	 * Test two Comparable arguments for equality.
	 * 
	 * @param lhs
	 *            The left hand side argument.
	 * @param rhs
	 *            The right hand side argument.
	 * @return A boolean result.
	 */
	public boolean equals(Comparable lhs, Comparable rhs) {
		return lhs.compareTo(rhs) == 0;
	}

	/**
	 * Test two Comparable arguments for "less than".
	 * 
	 * @param lhs
	 *            The left hand side argument.
	 * @param rhs
	 *            The right hand side argument.
	 * @return A boolean result.
	 */
	public boolean lessThan(Comparable lhs, Comparable rhs) {
		return lhs.compareTo(rhs) < 0;
	}

	/**
	 * Test two Comparable arguments for "less than or equal".
	 * 
	 * @param lhs
	 *            The left hand side argument.
	 * @param rhs
	 *            The right hand side argument.
	 * @return A boolean result.
	 */
	public boolean lessThanOrEqual(Comparable lhs, Comparable rhs) {
		return lhs.compareTo(rhs) <= 0;
	}

	/**
	 * Test two Comparable arguments for "greater than".
	 * 
	 * @param lhs
	 *            The left hand side argument.
	 * @param rhs
	 *            The right hand side argument.
	 * @return A boolean result.
	 */
	public boolean greaterThan(Comparable lhs, Comparable rhs) {
		return lhs.compareTo(rhs) > 0;
	}

	/**
	 * Test two Comparable arguments for "greater than or equal".
	 * 
	 * @param lhs
	 *            The left hand side argument.
	 * @param rhs
	 *            The right hand side argument.
	 * @return A boolean result.
	 */
	public boolean greaterThanOrEqual(Comparable lhs, Comparable rhs) {
		return lhs.compareTo(rhs) >= 0;
	}

	/**
	 * Combine two boolean arguments with a logical And operator.
	 * 
	 * @param lhs
	 *            The left hand side argument.
	 * @param rhs
	 *            The right hand side argument.
	 * @return A boolean result.
	 */
	public boolean and(boolean lhs, boolean rhs) {
		return lhs && rhs;
	}

	/**
	 * Combine two boolean arguments with a logical Or operator.
	 * 
	 * @param lhs
	 *            The left hand side argument.
	 * @param rhs
	 *            The right hand side argument.
	 * @return A boolean result.
	 */
	public boolean or(boolean lhs, boolean rhs) {
		return lhs || rhs;
	}

	/**
	 * Not operator.
	 * 
	 * @param bool
	 *            The boolean argument.
	 * @return A boolean result.
	 */
	public boolean not(boolean bool) {
		return !bool;
	}

}
