<?xml version="1.0" encoding="UTF-8"?>
	<!--
		====================================================================
	-->
	<!--
		This stylesheet replaces LastRunDate filters by a Between filter given
		a begin and an end date.
	-->
	<!--
		====================================================================
	-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:quer="http://www.taleo.com/ws/integration/query" version="2.0">
	<xsl:output method="xml" encoding="UTF-8" indent="yes" />
	<!-- ======================================= -->
	<!-- Parameters: -->
	<!--
		beginDate: The inclusive begin date in the ISO-8601 format
		(YYYY-MM-DDThh:mm:ssTZD), example: 2007-11-05T08:15:30-05:00.
	-->
	<!-- endDate: The inclusive end date in the same format. -->
	<!-- ======================================= -->
	<xsl:param name="beginDate" />
	<xsl:param name="endDate" />
	<!-- ======================================= -->
	<!-- Identity template renders nodes as is by default. -->
	<!-- ======================================= -->
	<xsl:template match="@*|*|processing-instruction()|comment()">
		<xsl:copy>
			<xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()" />
		</xsl:copy>
	</xsl:template>
	<!-- ======================================= -->
	<!-- Template that substitutes an LRD filters with a Between filter. -->
	<!-- ======================================= -->
	<xsl:template match="quer:lrd">
		<quer:between>
			<xsl:apply-templates />
			<quer:date>
				<xsl:value-of select="$beginDate" />
			</quer:date>
			<quer:date>
				<xsl:value-of select="$endDate" />
			</quer:date>
		</quer:between>
	</xsl:template>
</xsl:stylesheet>
